unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Math;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Memo1: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    Label4: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Edit1.Text:='0,0374';
  Edit2.Text:='-0,825';
  Edit3.Text:='16';
  Memo1.Clear;
  Memo1.Lines.Add('Лаб. раб. N1. Гр. 020601 Махонь Д.И.');
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  x,y,z, a,b,c,d,v:extended;
begin
  x:=StrToFloat(Edit1.Text);
  Memo1.Lines.Add('X = '+Edit1.Text);
  y:=StrToFloat(Edit2.Text);
  Memo1.Lines.Add('Y = '+Edit2.Text);
  z:=StrToFloat(Edit3.Text);
  Memo1.Lines.Add('Z = '+Edit3.Text);

  a:=(a+sqr(sin(x+y)))*Exp(abs(y)*Ln(x));
  b:=abs( x-(2*y)/(1+sqr(x*y))  );
  c:=a/b;
  d:=sqr(cos(arctan(1/z)));
  v:=c+d;
  Memo1.Lines.Add('Результат V='+FloatToStrF(v,fffixed,8,3));
end;

end.
